Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366233 - C&U - WEB UI crashes when moving from calendar to daily/hourly selection
Summary: C&U - WEB UI crashes when moving from calendar to daily/hourly selection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container:c&u
Depends On:
Blocks: 1370570
TreeView+ depends on / blocked
 
Reported: 2016-08-11 10:41 UTC by Einat Pacifici
Modified: 2018-04-17 08:17 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1370570 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:26:42 UTC
Category: ---
Cloudforms Team: ---
epacific: automate_bug-


Attachments (Terms of Use)
evm.log attached. (deleted)
2016-08-11 10:41 UTC, Einat Pacifici
no flags Details
screenshots (deleted)
2016-08-11 10:42 UTC, Einat Pacifici
no flags Details

Description Einat Pacifici 2016-08-11 10:41:26 UTC
Created attachment 1190009 [details]
evm.log attached.

Description of problem:
In C&U, when trying to select a date for metrics display, and moving away from calendar, web ui crashes: 
"undefined method `<' for nil:NilClass [ems_container/perf_chart_chooser] "

Version-Release number of selected component (if applicable):
5.6.1

How reproducible:
Always

Steps to Reproduce:
1.Setup CFME with Provider that has metrics in openshift
2.Go to Monitoring --> Utilization
3.Click on  Calendar (to select a day for metrics display)
4. Do not select any day
5. Click on the page - to close the calendar selection


Actual results:
Error is shown:  "undefined method `<' for nil:NilClass [container_replicator/perf_chart_chooser] "

Expected results:
User should be able to return to selection without UI crash

Additional info:
screenshots and evm.log attached

Comment 2 Einat Pacifici 2016-08-11 10:42:28 UTC
Created attachment 1190010 [details]
screenshots

Comment 3 Dave Johnson 2016-08-11 20:15:39 UTC
Nandini, are you seeing this on any other provider from cloud/infra or is it only related to containers?

Comment 4 Nandini Chandra 2016-08-11 21:21:25 UTC
Tested both infra(vsphere) and cloud(ec2) and I don't see the issue.

Comment 5 Yaacov Zamir 2016-08-14 11:48:37 UTC
Submitted upstream:
https://github.com/ManageIQ/manageiq/pull/10458

Comment 6 CFME Bot 2016-08-15 11:15:44 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/21ee8f35afce285cc6b7880b91dd4614ae9dacdf

commit 21ee8f35afce285cc6b7880b91dd4614ae9dacdf
Author:     Yaacov Zamir <yzamir@gmail.com>
AuthorDate: Sun Aug 14 14:38:07 2016 +0300
Commit:     Yaacov Zamir <yzamir@gmail.com>
CommitDate: Sun Aug 14 14:38:07 2016 +0300

    C&U - WEB UI crashes when moving from calendar to daily/hourly selection
    
    It is posible to send an empty string as a date from the UI, we currently only protect against nil date
    but not against an empty string. We add a check for empty string date.
    
    Bugzilla:
    https://bugzilla.redhat.com/show_bug.cgi?id=1366233

 app/controllers/application_controller/performance.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 7 Yaacov Zamir 2016-08-15 11:20:36 UTC
Merged upstream:
https://github.com/ManageIQ/manageiq/pull/10458


Note You need to log in before you can comment on or make changes to this bug.